# Generated by Django 4.2.13 on 2024-07-08 20:16

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("program", "0110_rename_host_profile"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="profile",
            options={
                "ordering": ("name",),
                "permissions": [
                    ("edit__profile__biography", "Can edit biography field"),
                    ("edit__profile__email", "Can edit email field"),
                    ("edit__profile__image", "Can edit image field"),
                    ("edit__profile__links", "Can edit links field"),
                    ("edit__profile__name", "Can edit name field"),
                    ("edit__profile__owners", "Can edit owners field"),
                    ("update_profile", "Can update profile"),
                ],
            },
        ),
        migrations.AlterField(
            model_name="profile",
            name="biography",
            field=models.TextField(blank=True, help_text="Biography of the profile."),
        ),
        migrations.AlterField(
            model_name="profile",
            name="email",
            field=models.EmailField(
                blank=True, help_text="Email address of the profile.", max_length=254
            ),
        ),
        migrations.AlterField(
            model_name="profile",
            name="is_active",
            field=models.BooleanField(default=True, help_text="True if the profile is active."),
        ),
        migrations.AlterField(
            model_name="profile",
            name="name",
            field=models.CharField(help_text="Display name of the profile.", max_length=128),
        ),
        migrations.AlterField(
            model_name="profile",
            name="owners",
            field=models.ManyToManyField(
                blank=True,
                help_text="User ID(s) that own this profile.",
                related_name="hosts",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
    ]
